using System.Text.RegularExpressions;

namespace ColliderEditor
{
    class Group
    {
        internal string Name { get; }
        Regex Pattern { get; }

        internal Group(string name, string pattern)
        {
            Name = name;
            Pattern = new Regex(pattern, RegexOptions.Compiled | RegexOptions.ExplicitCapture);
        }

        internal bool Test(string name) => Pattern.IsMatch(name);
    }
}
