// ReSharper disable MemberCanBePrivate.Global UnusedMember.Global UnusedMethodReturnValue.Global UnusedType.Global
using UnityEngine;

namespace NAT
{
    static class StringExtensions
    {
        internal static string Bold(this string str) => $"<b>{str}</b>";

        internal static string Italic(this string str) => $"<i>{str}</i>";

        internal static string Size(this string str, int size) => $"<size={size.ToString()}>{str}</size>";

        internal static string Color(this string str, Color color) => $"<color=#{ColorUtility.ToHtmlStringRGB(color)}>{str}</color>";
    }
}
