using UnityEngine;

namespace NAT
{
    static class Vector3Extensions
    {
        internal static float RelativeTo(this Vector3 vector, Transform transform, Vector3 axis) =>
            Vector3.Dot(vector, transform.TransformDirection(axis));

        internal static string ToPrettyString(this Vector3 vector, string format = "0.000") =>
            $"({vector.x.ToString(format)}, {vector.y.ToString(format)}, {vector.z.ToString(format)})";
    }
}
