namespace NAT.Common.Models
{
    sealed class BasicMorph
    {
        readonly float _multiplier;
        readonly DAZMorph _morph;

        internal BasicMorph(DAZMorph morph, float multiplier)
        {
            _morph = morph;
            _multiplier = multiplier;
        }

        internal void SetValue(float effect)
        {
            _morph.morphValue = _multiplier * effect;
        }

        internal void Reset()
        {
            _morph.morphValue = 0;
        }
    }
}
