using System.Diagnostics.CodeAnalysis;

namespace NAT.Common.Storables
{
    [SuppressMessage("ReSharper", "UnusedMemberInSuper.Global")]
    interface IStorableParam
    {
        string Name { get; }
        bool Temporary { get; set; }
        bool IsModified { get; }
        bool IsCalibrated { get; }
        void RegisterTo(MVRScript script);
    }
}
