using SimpleJSON;

namespace NAT.Common.Storables
{
    sealed class StorableActionPresetFilePath : JSONStorableActionPresetFilePath, IStorableParam
    {
        public string Name => name;
        public bool Temporary { get; set; } // Cannot store actions
        public bool IsModified => false;
        public bool IsCalibrated => true;

        internal StorableActionPresetFilePath(string name, PresetFilePathActionCallback callback, JSONStorableUrl jsu) : base(name, callback, jsu)
        {
        }

        public void RegisterTo(MVRScript script) => script.RegisterPresetFilePathAction(this);
    }
}
