using NAT;
using NAT.Common.Storables;
using SimpleJSON;

namespace Naturalis.Common.Handlers.Configs
{
    class AdjustmentBoolParam
    {
        internal StorableBool StorableParam { get; }
        bool _savedValue;

        internal AdjustmentBoolParam(StorableBool storableParam)
        {
            StorableParam = storableParam;
        }

        internal string Name => StorableParam.name;
        internal bool Value => StorableParam.val;
        internal void SetVal(bool value) => StorableParam.SetVal(value);
        internal void SetValNoCallback(bool value) => StorableParam.valNoCallback = value;
        internal void SetValFromJSON(JSONClass jc) => StorableParam.SetValFromJSON(jc);
        internal void SetDefaultValNoCallback() => StorableParam.SetDefaultValNoCallback();
        internal void CopyFrom(AdjustmentBoolParam other) => StorableParam.valNoCallback = other.StorableParam.val;
        internal void SaveValue() => _savedValue = StorableParam.val;
        internal bool IsSaved => StorableParam.val == _savedValue;
    }
}
