using NAT;
using NAT.Common.Storables;
using UnityEngine;

namespace Naturalis.Common.Handlers.Configs
{
    class AdjustmentStringParam
    {
        internal StorableString StorableParam { get; }
        string _savedValue;

        internal AdjustmentStringParam(StorableString storableParam)
        {
            StorableParam = storableParam;
        }

        internal string Name => StorableParam.name;
        internal string Value => StorableParam.val;

        internal void SetVal(string value) => StorableParam.SetVal(value);
        internal void SetValNoCallback(string value) => StorableParam.valNoCallback = value;
        internal void SetDefaultValNoCallback() => StorableParam.SetDefaultValNoCallback();
        internal void CopyFrom(AdjustmentStringParam other) => StorableParam.valNoCallback = other.StorableParam.val;
        internal void SaveValue() => _savedValue = StorableParam.val;
        internal bool IsSaved => StorableParam.val == _savedValue;
    }
}
