using System;

namespace NAT.Common.Handlers.Configs
{
    sealed class MultiplierConfig
    {
        internal float BaseValue { get; set; }
        internal float MultiplierA { get; set; }
        internal float MultiplierB { get; set; }

        internal Func<float, float> CurveA { get; set; } = x => x;
        internal Func<float, float> CurveB { get; set; } = x => x;
    }
}
