using UnityEngine;

namespace NAT.Common.Models
{
    abstract class SimItem
    {
        internal JSONStorableBool EnabledJsb { get; }
        internal JSONStorableVector3 SimForceV3 { get; set; }

        internal bool NeedsRetry { get; set; }
        protected int retryCount;

        protected Vector3 simForce;
        protected bool shouldSetSimForce;

        protected SimItem(JSONStorableBool enabledJsb)
        {
            EnabledJsb = enabledJsb;
        }
    }
}
