using UnityEngine;

namespace NAT
{
    static class Colors
    {
        internal static Color backgroundGray = new Color(0.85f, 0.85f, 0.85f);
        internal static Color transparentGray = new Color(0.34f, 0.34f, 0.34f, 0.75f);
        internal static Color darkTransparentGray = new Color(0.24f, 0.24f, 0.24f, 0.75f);
        internal static Color darkerGray = new Color(0.4f, 0.4f, 0.4f);
        internal static Color sliderGray = new Color(0, 0, 0, 0.498f);
        internal static Color funkyCyan = new Color(0.60f, 1.00f, 0.78f);
        internal static Color peachPink = new Color(1.00f, 0.71f, 0.71f);
        internal static Color transparentPink = new Color(1.00f, 0.71f, 0.71f, 0.75f);

        // ReSharper disable once UnusedMember.Global
        internal static Color defaultBtnNormalColor = new Color(0.8392157f, 0.8392157f, 0.8392157f);
        internal static Color defaultBtnHighlightedColor = new Color(0.7f, 0.7f, 0.7f);
        internal static Color defaultBtnPressedColor = Color.gray;
        // ReSharper disable once UnusedMember.Global
        internal static Color defaultBtnDisabledColor = Color.gray;
        internal static Color inactive = new Color(0.4f, 0.4f, 0.4f);

        internal static Color transparentGreen = new Color(0, 1, 0, 0.75f);
        internal static Color transparentLightGray = new Color(0.92f, 0.92f, 0.92f, 0.75f);
        internal static Color desaturatedRed = new Color(1, 0.25f, 0.25f);
    }
}
